Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.security
Class EntityPermissionChecker

    java.lang.Object
      org.jboss.seam.security.EntityPermissionChecker

Direct Known Subclasses:
  HibernateEntityPermissionChecker

    @Name(value="org.jboss.seam.security.entityPermissionChecker")
    @Scope(value=STATELESS)
    @Install(precedence=0,
             classDependencies="javax.persistence.EntityManager")
    @BypassInterceptors
    public class EntityPermissionChecker

extends Object

Entity permission checks

Author:
  Shane Bryzak, Pete Muir

Constructor Summary
`EntityPermissionChecker()`

Method Summary
`void` | `checkEntityPermission(Object entity, EntityAction action)`
`void` | `checkEntityPermission(Object entity, EntityAction action, javax.persistence.EntityManager entityManager)`
`protected void` | `checkEntityPermission(Object entity, EntityAction action, Method m)`
`protected Method` | `getProtectedMethod(EntityAction action, Object bean, javax.persistence.EntityManager entityManager)`
`static EntityPermissionChecker` | `instance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityPermissionChecker

    public EntityPermissionChecker()

Method Detail

### instance

    public static EntityPermissionChecker instance()

### getProtectedMethod

    protected Method getProtectedMethod(EntityAction action,
                                        Object bean,
                                        javax.persistence.EntityManager entityManager)

### checkEntityPermission

    public void checkEntityPermission(Object entity,
                                      EntityAction action)

### checkEntityPermission

    public void checkEntityPermission(Object entity,
                                      EntityAction action,
                                      javax.persistence.EntityManager entityManager)

### checkEntityPermission

    protected void checkEntityPermission(Object entity,
                                         EntityAction action,
                                         Method m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD